Subject: Re: [AVT] Re: MPEG-4 BIFS in the packet loss environment

From: [email-masked]
Date: Fri, 29 Mar 2002 11:47:42 +0100

I would use media-agnostic FEC, any flavor would do.

Philippe Gentric
Software Architect
Philips MP4Net
[email-masked]
http://www.mpeg-4.philips.com

Marshall Eubanks <[email-masked]>
Sent by: [email-masked]
03/28/2002 18:29

        To:     Philippe Gentric/LIM/CE/PHILIPS@EMEA1
        cc:     Zvi Lifshitz <[email-masked]>
[email-masked]
[email-masked]
[email-masked]
"'Colin Perkins'" <[email-masked]>
"'Vishy Swaminathan'" <[email-masked]>
"'Lim, Young-Kwon'" <[email-masked]>
        Subject:        Re: [AVT] Re: MPEG-4 BIFS in the packet loss environment
        Classification: 

Bonjour Phillippe;

    Is there a document that describes the FEC for the BIFS ? Or is this
up to the implementor ?

                                Regards
                                Marshall

[email-masked] wrote:

> 
> Zvi,
> 
> I understand the need for non-MPEG experts to get some additional 
> explanation:
> 
> MPEG invested a lot of work in the past 10 years
> to make sure that scene description could be "broadcasted",
> including resistance to network losses.
> 
> The results of this is a set of techniques that make BIFS unique
> in the scene description landscape.
> 
> specifically BIFS has been described as a binary (compressed) version
> (actually superset) of VRML for 3D scenes. And it is.
> 
> BIFS has also been described as a binary (compressed) version of W3C 
SMIL
> for 2D scenes. And it is.
> 
> But BIFS is more and the key competitive advantage of BIFS over
> either VRML or SMIL *IS* this ability to be "broadcasted"
> i.e. sent over a possibly uni-directional and probably lossy links....
> 
> And the way this was implemented is similar to I frames in video.
> 
> However some people out there (hello stephan)
> have been expressing concerns about that statement.
> 
> My understanding for the basis of this concern is that they would say:
> "scene description is not like video, either you get it or you dont"
> 
> Well the truth is that the "threshold" is not binary ,as I shall 
> demonstrate now:
> 
> Take for example a scene describing a room with several objects in it.
> 
> If you loose the big arm chair in the corner
> (but get it ok a few seconds latter i.e. at the next "I" frame)
> the scene is still "usable", it is *inexact*, but usable.
> 
> If you loose the texture on the wall the wall is still a wall
> (and a texture-less wall is so cheap that you can triplicate or heavily 
> FEC the packet transporting it).
> 
> Of course if you loose the "I buy it" button of your E commerce 
> interactive application
> you would be in trouble with the guy paying for it.
> 
> I believe that judging if you would be in more trouble than if you loose
> the split second part of the movie where the hero gets shot is not for 
> us to decide.
> 
> And to conclude I think the point is to document the fact that :
> 
> - yes loosing piece of scene description CAN be bad
> - and therefore that users of this payload format should take
> the required steps to make sure:
> * either that it does not happen
> * or that their application is carefully designed to handle those losses
> 
> 
> regards,
> 
> 
> Philippe Gentric
> Software Architect
> Philips MP4Net
> [email-masked]
> http://www.mpeg-4.philips.com
> 
> 
> "Zvi Lifshitz" <[email-masked]>
> 
> 03/26/2002 21:30
> 
> 
>         To:        Philippe Gentric/LIM/CE/PHILIPS@EMEA1
> "'Vishy Swaminathan'" <[email-masked]>
>         cc:        <[email-masked]>
> <[email-masked]>
> <[email-masked]>
> "'Colin Perkins'" <[email-masked]>
> "'Lim, Young-Kwon'" <[email-masked]>
>         Subject:        RE: [AVT] Re: MPEG-4 BIFS in the packet loss 
> environment
> 
>         Classification: 
> 
> 
> 
> 
> [[email-masked]:]
> 
>  > * BIF scene and MPEG-J are more sensitive i.e. the usual
>  > techniques (including RTP/RTSP/TCP, but this is
>  > acutzally out of scope for a RTP payload format, right ?)
>  > should be used to make sure the content actually arrived.
> 
> [Reply:]
> 
> 
> 
> BIFS scenes are like video I-frames.
> 
> 
> 
> z
> 
> soon the whole world will STREAM
> 
> ==================================================================
> 
> Zvi Lifshitz                      Phone +972-2-679-4788
> 
> [email-masked]         Fax +972-9-958-6099
> 
> Optibase Ltd.                 GSM: +972-54-461-787  (+972-LI-IM1-RTP)
> 
> http://www.optibase.com   US voice mail/fax  +1(206)888-4149
> 
> ==================================================================
> 
> Come see us at:
> 
> NAB 2002 (National Association of Broadcasters), The Sands Expo Center, 
> Las Vegas, Nevada USA,  April 8 - 11, 2002
> 
> 
> 

T.M. Eubanks
Multicast Technologies, Inc
10301 Democracy Lane, Suite 410
Fairfax, Virginia 22030
Phone : 703-293-9624       Fax     : 703-293-9609
e-mail : [email-masked]
http://www.multicasttech.com

Test your network for multicast :
http://www.multicasttech.com/mt/
  Status of Multicast on the Web  :
  http://www.multicasttech.com/status/index.html

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt